Bug 1773807 - Enable all Linux arches in cli-artifacts [4.2]
Summary: Enable all Linux arches in cli-artifacts [4.2]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Multi-Arch
Version: unspecified
Hardware: s390x
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Yaakov Selkowitz
QA Contact: Jeremy Poulin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-19 00:37 UTC by Yaakov Selkowitz
Modified: 2019-12-11 22:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-11 22:36:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 168 'None' 'closed' 'Bug 1773807: Enable all Linux arches in cli-artifacts [4.2]' 2019-12-07 10:48:57 UTC
Red Hat Product Errata RHBA-2019:4093 None None None 2019-12-11 22:36:21 UTC

Description Yaakov Selkowitz 2019-11-19 00:37:51 UTC
In order for console-operator deployment to succeed, cli-artifacts needs to be available on all arches (which it now is) for downloads-openshift-console.  However, in that case, /usr/bin/oc (inherited from cli) is a native binary, and we want to provide all primary Linux architectures to match those on mirror.openshift.com.

In order to do so, this provides cross-compiled Linux binaries for multiple architectures. Cross-compiling oc fails with gssapi enabled, therefore it is disabled in the cross builds.

This needs to go into 4.2.z because this affects cluster deployment on Z.

The fix for 4.2 will be a cherry-pick of https://github.com/openshift/oc/pull/153

Comment 3 Jeremy Poulin 2019-12-06 15:41:12 UTC
Since we've been able to deploy with this patch included, and the console-operator is active.

Is there anything else we need to do to verify this bug?

Comment 4 Yaakov Selkowitz 2019-12-06 16:50:43 UTC
It was *supposed* to go out together with bug 1773808, which in tandem would be tested by checking the arch of amd64/linux/oc.tar as well as the availability of {ppc64le,s390x,aarch64}/linux/oc.tar.  Without the second though, there's really nothing new to test.

Comment 5 Jeremy Poulin 2019-12-06 19:15:10 UTC
Thanks Yaakov.

I'm going to mark this as verified, and we'll test the oc tar as part of the verification of https://bugzilla.redhat.com/show_bug.cgi?id=1773808.

Comment 7 errata-xmlrpc 2019-12-11 22:36:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4093


Note You need to log in before you can comment on or make changes to this bug.